View Issue Details

IDProjectCategoryView StatusLast Update
0001082SymmetricDSBugpublic2014-02-02 20:53
ReporterrbroAssigned Tochenson 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.3.1 
Target VersionFixed in Version3.3.3 
Summary0001082: MySQL - error calling unknown function sym_transaction_idnull()
DescriptionFrom http://sourceforge.net/p/symmetricds/discussion/739236/thread/aed21be1:

I'm running into an issue on MySQL where some of my generated triggers are referencing a function called sym_transaction_idnull(), so my queries to the affected tables are failing since that function doesn't exist. I tried to resync triggers, but the call to that missing function remains.

How can I resolve this issue? I was running on version 3.2.3, but after getting the error, I upgraded to 3.3.1 with the same results.

The only way I was able to get around it was to delete the sym_trigger and sym_trigger_hist rows for the affected tables, then re-add the sym_trigger rows, and then regenerate triggers.
TagsNo tags attached.

Activities

chenson

2013-02-28 20:47

administrator   ~0000220

I think this might be a timing issue. Checking in a fix for you to try.

Related Changesets

SymmetricDS: master ac90aad4

2013-02-28 20:46:27

chenson

Details Diff
0001082: error calling unknown function sym_transaction_idnull()
0001082
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

Issue History

Date Modified Username Field Change
2013-02-28 09:42 rbro New Issue
2013-02-28 20:47 chenson Status new => resolved
2013-02-28 20:47 chenson Fixed in Version => 3.3.3
2013-02-28 20:47 chenson Resolution open => fixed
2013-02-28 20:47 chenson Assigned To => chenson
2013-02-28 20:47 chenson Note Added: 0000220
2013-03-01 06:15 chenson Status resolved => closed
2013-03-01 07:51 chenson Summary error calling unknown function sym_transaction_idnull() => MySQL - error calling unknown function sym_transaction_idnull()
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6906
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master ac90aad4